org.apache.storm.streams.processors

## Interface ProcessorContext

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    ChainedProcessorContext, EmittingProcessorContext, ForwardingProcessorContext

      @InterfaceStability.Unstable
      public interface ProcessorContext
      extends Serializable

  Context information passed to the `Processor`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `forward(T input)` Forwards the input to all downstream processors.
    `<T> void` | `forward(T input, String stream)` Forwards the input to downstream processors at specified stream.
    `Set<String>` | `getWindowedParentStreams()` Returns the windowed parent streams.
    `boolean` | `isWindowed()` Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.

- - ### Method Detail

    - #### forward

          <T> void forward(T input)

      Forwards the input to all downstream processors.

      Parameters:
        `input` - the input
        `T` - the type of the input

    - #### forward

          <T> void forward(T input,
                           String stream)

      Forwards the input to downstream processors at specified stream.

      Parameters:
        `input` - the input
        `stream` - the stream to forward
        `T` - the type of the input

    - #### isWindowed

          boolean isWindowed()

      Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.

      Returns:
        whether this is a windowed context or not

    - #### getWindowedParentStreams

          Set<String> getWindowedParentStreams()

      Returns the windowed parent streams. These are the streams where punctuations arrive.

      Returns:
        the windowed parent streams

Copyright © 2021 The Apache Software Foundation. All rights reserved.